/** learningsurfphotography.com */

// Select duration of auto focus when live view button is pressed, default is 1 second

/*
@title Focus With LV Button
@param n Focus duration in seconds
@range n 1 5
@default n 1
*/

while(1)
{
    int key = wait_key();

    if (key == LV)				// when Live View button is pressed
	{
		console_hide();			// hide the script console

		set_af(1);				// disable AF for half-shutter press

		press(SHOOT_HALF);		// emulate half shutter being pressed
		sleep(n);				// hold button for n seconds
		unpress(SHOOT_HALF);	// emulate releasing half shutter

		set_af(0);				// enable AF for half-shutter press
	}
	
    sleep(0.1);

    if (key == SET)
	{
		break;
	}
}